##
# Ansible file to install PHP
#

---
# file: roles/php/tasks/main.yml

- name: "PHP Role"
  set_fact: role_php_started=true
  tags: always

- block:

  - include_tasks: php.yml

  - name: "Disable OpCache for CLI and FPM, they are there twice"
    command: 'phpdismod -s {{ item }} opcache'
    with_items:
      - 'cli'
      - 'fpm'
    when: php_version|default("5.5") == "7"

  - name: "Link PhpEnMod for PHP 5.3"
    file:
      dest: '/usr/local/bin/php{{ item }}'
      src: '/usr/sbin/php5{{ item }}'
      state: 'link'
    with_items:
      - 'enmod'
      - 'dismod'
    when: php_version|default("5.5") == "5.3"

  - name: 'PHP | Remember that this role had been run'
    set_fact: role_php_completed=true
    tags: always

  when: '"php" not in excluded_roles and role_php_completed is not defined'
